%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Python bindings for the libsmbclient API
Name:      	python26-pysmbc
Version:   	1.0.6
Release:   	2
BuildArch:	i686
Requires: 	python26
URL:		http://cyberelk.net/tim/data/pysmbc/
Group:     	Development/Python
License:	GNU/GPL	
Source0: 	pysmbc-%{version}.tar.bz2
Patch0:		pysmbc-python26.patch
Provides:	pysmbc = %{version}-%{release}
Obsoletes:	pysmbc <= %{version}-%{release}
BuildRequires:	python26-devel samba-devel cups-devel

%description
Python bindings for the CUPS API

%prep
%setup -q -n pysmbc-%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT __doc
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.6-2
- python 2.6
- package rename to python26-pysmbc
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- Initial CCux package release
